mcla_music_api.register_song({
	name = "El_Capitan_-_United_States_Marine_Band",
	title = "United States Marine Band - El Capitan",
	length = 145
})
mcla_music_api.register_song({
	name = "My_Name_Is_John_Wellington_Wells",
	title = "Grant Barrett - My Name Is John Wellington Wells",
	length = 207
})
mcla_music_api.register_song({
	name = "a_british_tar",
	title = "The Royal Philharmonic Orchestra - A british tar from Gilbert and Sullivan's HMS Pinafore",
	length = 130
})
mcla_music_api.register_song({
	name = "das_lied_der_dollarprinzessin",
	title = "Mizzi Günther Mizzi Wirth Karl Streitmann and Ludwig Herold - Das Lied der Dollarprinzessin from Die Dollarprinzessin by Leo Fall",
	length = 159
})
mcla_music_api.register_song({
	name = "i_am_the_very_model_of_a_modern_major_general",
	title = "George Baker - I am the very model of a modern Major-General from Gilbert and Sullivan's The Pirates of Penzance",
	length = 162
})
mcla_music_api.register_song({
	name = "let_the_great_big_world_keep_turning",
	title = "Violet Loraine - Let the great big world keep turning from The Bing Girls are there by Nat D. Ayer",
	length = 274
})
mcla_music_api.register_song({
	name = "monarch_of_the_sea_ruler_of_the_queens_navy",
	title = "The Royal Philharmonic Orchestra -  Ruler of the Queen's Navy / When I was a lad from Gilbert and Sullivan's HMS Pinafore",
	length = 235
})
mcla_music_api.register_song({
	name = "one_alone",
	title = "Harry Welchman & Columbia Broadway - One Alone from Desert Song by Sigmund Romberg",
	length = 163
})
mcla_music_api.register_song({
	name = "romance",
	title = "Edith Day & Columbia Broadway - Romance from Desert Song by Sigmund Romberg",
	length = 171
})
mcla_music_api.register_song({
	name = "the_cabaret_girl",
	title = "The Winter Garden Theatre Orchestra - The Cabaret Girl by Jerome Kern",
	length = 530
})

local startsong = {
	name = "cobblers_song",
	title = "Peter Dawson - The Cobbler's Song from Chu Chin Chow by Frederic Norton",
	length = 183
}
mcla_music_api.register_song(startsong)

minetest.register_on_joinplayer(function(player, last)
	minetest.after(1, function(player)
		if player and player:get_pos() then
			mcla_music_api.play_song(player, startsong)
		end
	end, player)
end)
